mailman-suite (0+20170523-15) unstable; urgency=medium

  [ Lev Lamberov ]
  * d/po/ru.po: Russian translation for debconf template.
    Closes: #898181

  [ Rui Branco ]
  * d/po/pt.po: Portuguese translation for debconf template.
    Closes: #898540

  [ Frans Spiesschaert ]
  * d/po/nl.po: Dutch translation for debconf template.
    Closes: #899029

  [ Pierre-Elliott Bécue ]
  * d/mailman3-web.postinst:
    - Tweak a little the django admin call used to fetch
      Site.objects.all()[0].name, as python can't encode automagically its
      output in a subshell (as it can't with pipes). Use locale module with
      getpreferredencoding function to set a default encoding that should
      work on the current machine running the postinst script.
  * d/contrib/mailman3-web.tmpfile:
    - mailman3-web rundir moved to /run/mailman3-web.
  * d/contrib/uwsgi.ini:
    - Move the socket file into /run/mailman3-web.
  * d/contrib/mailman3-web.init:
    - Move the pid file into /run/mailman3-web.
  * d/contrib/apache.conf:
    - The socked file has been moved into /run/mailman3-web.
  * d/contrib/nginx.conf:
    - The socket file has been moved into /run/mailman3-web.
  * d/README.Debian:
    - Add some details on webserver configuration
  * d/copyright:
    - Add myself to copyright file and update copyright years

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 18 May 2018 21:42:41 +0200

mailman-suite (0+20170523-14) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/mailman3-web.config:
    - Ignore errors on 'db_get mailman3-web/database-type'. If
      dbconfig-no-thanks is used, the debconf entry doesn't exist.

  [ Pierre-Elliott Bécue ]
  * d/control:
    - Bump Standards-Version to 4.1.4. No change required.

 -- Pierre-Elliott Bécue <becue@crans.org>  Thu, 12 Apr 2018 07:29:36 +0200

mailman-suite (0+20170523-13) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  [ Jonas Meurer]
  * d/mailman3-web.postrm:
    - Remove all log files, also rotated ones.
  * d/README.Debian, d/TODO:
    - Package 'mailman3-core' got renamed to 'mailman3'
  * d/mailman3-web.init:
    - Fix typo in path to pidfile
    - Coding style improvements and indention fixes
  * d/mailman3-web.postinst:
    - Select user by username when deleting it from the database. This
      allows one to change the email address later.
    - Set the mail address for default admin user in ADMINS list of
      mailman-web.py to the superuser mail address from debconf.
  * d/mailman3-web.{config,postinst}, d/mailman3-web/templates:
    - Add new debconf question about Django site domain, configure it
      in postinst script.
    - Always run django-admin as user 'www-data' in maintainer scripts.

  [ Pierre-Elliott Bécue]
  * Update po/fr.po
  * d/control:
    - Raise debhelper build dependency level to 11
  * d/compat: Bump to 11

 -- Jonas Meurer <jonas@freesources.org>  Sat, 24 Mar 2018 17:39:59 +0100

mailman-suite (0+20170523-12) unstable; urgency=medium

  [ Jonas Meurer ]
  * Rename binary package 'mailman3-suite' to 'mailman3-web' to avoid
    further confusion, drop binary package 'mailman3-suite'.

    A bit more background:
    - The naming of our mailman3 packages caused some confusion. So we
      decided on the following:
      1. binary package 'mailman3-suite' will become 'mailman3-web' to make
         the purpose more obvious.
      2. binary and source package 'mailman3-core' will become 'mailman3'.
         This is closer to the upstream name.
      3. binary metapackage 'mailman3' will become 'mailman3-full' and moves
         to the source package 'mailman3-core'/'mailman3'.

    This upload of source package 'mailman-suite' takes care of part 1.

  * d/NEWS:
    - Document the renaming of the binary package name.
  * d/mailman3-web.*, d/patches/*, d/contrib/uwsgi.ini, d/rules:
    - Move logfiles to new subdirectory /var/log/mailman3/web
  * d/control:
    - Drop binary package 'mailman3', will be provided by another source
      package in future.
    - Add 'Conflicts: mailman3-suite' to mailman3-web, to prevent parallel
      installation of old and new binary package.
  * d/mailman3-web.postinst:
    - Add '-f' to ucfr for hyperkitty.conf, as we might hijack the file from
      old package mailman3-suite.
    - Explicitly run python2.7 version of django-admin
  * d/contrib/hyperkitty.cfg.sample, d/mailman3-web.{install,postinst,postrm}:
    - Remove 'hyperkitty.cfg', it belongs to python3-mailman-hyperkitty
  * d/rules:
    - Run debhelper with '--with systemd'
    - Set owner of /var/lib/mailman3/web/static/CACHE to www-data:www-data.
      (Closes: #892427)
  * d/mailman3-web.config:
    - Fix sed command in get_config_option()
    - Wrap db_input into 'db_beginblock' and 'db_endblock'
  * d/templates:
    - Enhance description for mailman3-web/superuser-password

  [ Pierre-Elliott Bécue ]
  * d/mailman3-web.install:
    - Move uwsgi.ini to /etc/mailman3
  * d/contrib/nginx.conf:
    - Add nginx.conf file
  * d/mailman3-web.cron.d:
    - Fix cron jobs to call explicitly python2.7 version of django-admin.py
  * d/template:
    - Add a new debconf readme entry to display when a user choses nginx.
  * d/po/fr.po: updated translation
  * d/mailman3-web.postinxt:
    - Displays the readme if nginx is chosen

 -- Jonas Meurer <jonas@freesources.org>  Wed, 14 Mar 2018 16:57:34 +0100

mailman-suite (0+20170523-11) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/control:
    - Fix alternative dependency on 'python-mysqldb'. We need the python2
      version here as the django parts of mailman3 are still python2.
  * d/README.Debian:
    - Update paragraph about 'MySQL database backend'.
  * d/mailman3-suite.config:
    - Fix dbc_dbname for SQLite database backend.
  * d/mailman3-suite.postinst:
    - Run django-admin commands as user 'www-data'. (Closes: #891703)
    - Only touch+chown logfiles if they don't exist yet.
    - Fix dbc_dbname for SQLite database backend.
  * d/mailman3-suite.postrm:
    - Remove mailman-suite logfiles at purge.
  * d/mailman3-suite.cron.d:
    - Run mailman3-suite cronjobs as user 'www-data'. The uwsgi daemon runs
      as 'www-data', so the corresponding cronjobs should do so as well.
      (Closes: #891849)
  * d/rules:
    - Set owner for whole '/var/lib/mailman3/suite/static' to www-data.
  * Move data directory from '/var/lib/mailman3/web' to
    '/var/lib/mailman3/suite' to better match package name.

  [ Pierre-Elliott Bécue ]
  * d/README.Debian:
    - Fix typo

 -- Jonas Meurer <jonas@freesources.org>  Sat, 03 Mar 2018 12:58:21 +0100

mailman-suite (0+20170523-10) unstable; urgency=high

  * d/control:
    - Update Vcs-* fields to point to new repository on salsa.debian.org.
  * d/mailman3-suite.postrm:
    - Source apache2-maintscript-helper at the beginning of postrm to pass
      all arguments to it. (Closes: #891553)
    - Always remove the Apache mailman3.conf symlink, regardless of whether
      apache2-maintscript-helper was found.

 -- Jonas Meurer <jonas@freesources.org>  Tue, 27 Feb 2018 15:02:06 +0100

mailman-suite (0+20170523-9) unstable; urgency=medium

  * d/mailman3-suite.config: Fix typo, use debconf question
    'mailman3-suite/database-type' not 'mailman3-core/database-type'.

 -- Jonas Meurer <jonas@freesources.org>  Wed, 24 Jan 2018 07:53:31 +0100

mailman-suite (0+20170523-8) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * d/control:
    - Remove dependency on mailman3-core for mailman3-suite.
    - Update description of mailman3 metapackage.

  [ Jonas Meurer ]
  * d/mailman3-suite.config:
    - Change default database backend to 'sqlite3'. Required to fix non-
      interactive installations without recommends (e.g. piuparts).
  * d/README.Debian:
    - Add a section about selection of the database backend.
  * d/control:
    - Update description of mailman3-suite package to reflect the fact
      that several database backends are supported and 'sqlite3' is the
      default.
    - Degrade recommends on postgresql|mysql to suggests now that we use
      sqlite3 as default database backend. We don't want to pull in needless
      extra database servers.
    - Set Rules-Requires-Root: binary-targets.

 -- Jonas Meurer <jonas@freesources.org>  Tue, 16 Jan 2018 15:07:39 +0100

mailman-suite (0+20170523-7) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * d/po/fr.po reviewed.

  [ Jonas Meurer ]
  * d/mailman3-suite.prerm: Move 'dbc_go' behind the '#DEBHELPER' section.
    Database removal has to happen after service is stopped to prevent
    race conditions.
  * Add multi database backend support in maintainer scripts with dbconfig:
    * Change default database backend in the configuration skeleton to
      SQLite3. This ensures a working setup without dbconfig.
    * PostgreSQL (the upstream recommendation) stays the default at debconf
      database backend selection. This also applies for non-interactive
      installations.
    * Move SQLite3 database file to '/var/lib/mailman3/web/mailman3suite.db',
      manage it with dbconfig.
    * Unfortunately, using MySQL as backend is broken with MariaDB packages
      in Debian between 10.0.22-2 and 10.2.7-1 as they use 'utf8mb4' as
      default character set but don't have 'innodb_large_prefix' and
      row format 'dynamic' yet. See bug #886756 for further information.
      If you want to use MariaDB as database backend, you'll have to use
      MariaDB <= 10.0.22-1 or >= 10.2.7-1 for now.
  * d/control: Bump standards-version to 4.1.3, no changes required.
  * d/mailman3-suite.postinst: Change order of actions. First create config
    and log files, then run django-admin and finally (optionally) configure
    webservers.
  * d/templates: Change the webserver selection from multiselect to select,
    making 'none' the default. This fixes non-interactive installations and
    those without installed Apache2. (Closes: #884835)
  * d/mailman3-suite.postrm: Run 'db_purge' to clean up debconf database.

 -- Jonas Meurer <jonas@freesources.org>  Wed, 10 Jan 2018 00:58:24 +0100

mailman-suite (0+20170523-6) unstable; urgency=medium

  * d/mailman3-suite.init: Fix stop and reload functions by sending the right
    signals to the uwsgi daemon for stopping/killing/reloading it. Thanks
    again to Stephen Rothwell for bugreport and debugging. (Closes: #884330)

 -- Jonas Meurer <jonas@freesources.org>  Fri, 15 Dec 2017 14:38:12 +0100

mailman-suite (0+20170523-5) unstable; urgency=medium

  * d/mailman3-suite.init: Fix order of variable definitions. Thanks to
    Stephen Rothwell for the bugreport. (Closes: #884326)

 -- Jonas Meurer <mejo@debian.org>  Thu, 14 Dec 2017 00:16:09 +0100

mailman-suite (0+20170523-4) unstable; urgency=medium

  * d/mailman3-suite.init: Fix typo in do_stop() function. Thanks to Stephen
    Rothwell for the bugreport. (Closes: #884325)

 -- Jonas Meurer <mejo@debian.org>  Wed, 13 Dec 2017 23:56:28 +0100

mailman-suite (0+20170523-3) unstable; urgency=medium

  * d/control: fix a typo in Recommends: field. (Closes: #884316)

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 13 Dec 2017 22:38:35 +0100

mailman-suite (0+20170523-2) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * d/control: fix vcs items to solve vcswatch complaints.
  * Adds missing dependency to mailman3: python3-mailman-hyperkitty
  * Uses pipes as sed delimiters to avoid some wrongdoings with variables
    filled with base64. (Closes: #884259)

  [ Jonas Meurer ]
  * d/control: bump standards-version to 4.1.2, no changes needed.

 -- Jonas Meurer <mejo@debian.org>  Wed, 13 Dec 2017 07:52:24 +0100

mailman-suite (0+20170523-1) unstable; urgency=medium

  [ Jonas Meurer ]
  * Initial release. (Closes: #799292, #877878)
  * Package based on upstream Git commit cd1b5856 from May 23rd 2017.

  [ Pierre-Elliott Bécue ]
  * French translation for debconf template.

 -- Jonas Meurer <mejo@debian.org>  Sun, 12 Nov 2017 23:04:45 +0100
